## kraft 0.59

=== CMakeLists.txt ===
project(kraft)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/ ${CMAKE_MODULE_PATH} )

find_package(KDE4 4.4.0 REQUIRED) 
find_package(KdepimLibs REQUIRED)
find_package(Ctemplate REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include(KDE4Defaults)

include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} src)

add_subdirectory(src)
add_subdirectory(database)
add_subdirectory(reports)
add_subdirectory(importfilter)
add_subdirectory(tools)
add_subdirectory(styles)


find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== database/CMakeLists.txt ===
add_subdirectory(mysql)
add_subdirectory(sqlite3)

=== po/CMakeLists.txt ===
add_subdirectory( ast )
add_subdirectory( bg )
add_subdirectory( bs )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( lt )
add_subdirectory( mai )
add_subdirectory( mr )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( zh_CN )

=== reports/CMakeLists.txt ===
add_subdirectory(pics)

########### install files ###############

install(FILES identity.trml invoice.trml kraftdoc_ro.trml docdigest.trml delivery_receipt.trml
	DESTINATION ${DATA_INSTALL_DIR}/kraft/reports)

# localised document templates:
install(FILES de/invoice.trml de/lieferschein.trml
	DESTINATION ${DATA_INSTALL_DIR}/kraft/reports/de)

=== src/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS} external)

add_subdirectory(pics)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

########### next target ###############

set(kraft_SRCS
    catalogtemplate.cpp
    catalogchapter.cpp
    katalog.cpp
    katalogman.cpp
    brunskatalog.cpp
    brunsrecord.cpp
    defaultprovider.cpp
    doctext.cpp
    doctype.cpp
    kataloglistview.cpp
    katalogview.cpp
    brunskataloglistview.cpp
    brunskatalogview.cpp
    filterheader.cpp
    kraftdb.cpp
    geld.cpp
    einheit.cpp
    attribute.cpp
    numbercycle.cpp
    addeditchapterdialog.cpp
    templkatalog.cpp
    docposition.cpp
    matkatalog.cpp
    timecalcpart.cpp
    fixcalcpart.cpp
    floskeltemplate.cpp
    floskel.cpp
    calcpart.cpp
    kraftview.cpp
    kraftdoc.cpp
    main.cpp
    unitmanager.cpp
    stockmaterial.cpp
    stockmaterialman.cpp
    materialcalcpart.cpp
    flostempldialog.cpp
    stdsatzman.cpp
    materialtempldialog.cpp
    timecalcdialog.cpp
    fixcalcdialog.cpp
    matcalcdialog.h
    matcalcdialog.cpp
    templatesaverbase.cpp
    templatesaverdb.cpp
    materialsaverbase.cpp
    materialsaverdb.cpp
    prefsdialog.cpp
    prefswages.cpp
    prefsunits.cpp
    templkatalogview.cpp
    templkataloglistview.cpp
    positionviewwidget.cpp
    documentsaverbase.cpp
    documentsaverdb.cpp
    documentman.cpp
    docdigest.cpp
    docdigestview.cpp
    doctypeedit.cpp
    portal.cpp
    portalview.cpp
    archiveman.cpp
    reportgenerator.cpp
    htmlview.cpp
    docpostcard.cpp
    catalogselection.cpp
    kraftdocheaderedit.cpp
    kraftdocfooteredit.cpp
    inserttempldialog.cpp
    archdocposition.cpp
    archdoc.cpp
    materialkataloglistview.cpp
    materialkatalogview.cpp
    materialselectdialog.cpp
    kraftdocedit.cpp
    kraftdocpositionsedit.cpp
    portalhtmlview.cpp
    templtopositiondialogbase.cpp
    insertplantdialog.cpp
    textselection.cpp
    newdocassistant.cpp
    docassistant.cpp
    texteditdialog.cpp
    templateprovider.cpp
    headertemplateprovider.cpp
    footertemplateprovider.cpp
    catalogtemplateprovider.cpp
    texttemplate.cpp
    doclocaledialog.cpp
    tagman.cpp
    positiontagdialog.cpp
    tagtemplatesdialog.cpp
    importitemdialog.cpp
    importfilter.cpp
    kraftview_ro.cpp
    taxeditdialog.cpp
    numbercycledialog.cpp
    impviewwidgets.cpp
    setupassistant.cpp
    models/documentmodel.cpp
    models/documentproxymodels.cpp
    docdigestdetailview.cpp
    external/ktreeviewsearchline.cpp
    addressprovider.cpp
    akonadiaddressselector.cpp
    akonadiaddressselectordialog.cpp
    models/globalcontactmodel.cpp
    quicksearchwidget.cpp
)

kde4_add_kcfg_files(kraft_SRCS
    databasesettings.kcfgc
    kraftsettings.kcfgc
    databasesettings.kcfgc
    kraftsettings.kcfgc)

kde4_add_ui_files(kraft_SRCS
    calctemplate.ui
    dbinit.ui
    createdb.ui
    dbselect.ui
    mysqldetails.ui
    sqlitedetails.ui
    statuspage.ui
    upgradedb.ui
    timepart.ui
    fixpartui.ui
    matpartui.ui
    inserttmplbase.ui
    materialdialog.ui
    insertplantbase.ui
    docheader.ui
    positionwidget.ui
    docfooter.ui
    texteditbase.ui
    positionwidget.ui
    doctypeeditbase.ui
    taxeditbase.ui
    wageseditbase.ui
    unitseditbase.ui
    importtodocbase.ui
    numbercycleseditbase.ui

)

kde4_add_executable(kraft ${kraft_SRCS})

target_link_libraries(kraft ${QT_QTSQL_LIBRARY} ${KDE4_KHTML_LIBS} ${KDE4_KDEUI_LIBS}
	${KDEPIMLIBS_KABC_LIBS} ${KDEPIMLIBS_AKONADI_CONTACT_LIBS} ${KDE4_KIO_LIBS}
        ${CTEMPLATE_LIBRARIES} pthread)

install(TARGETS kraft ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES  kraft.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES  kraftsettings.kcfg databasesettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES  kraftui.rc katalogview.rc DESTINATION ${DATA_INSTALL_DIR}/kraft)

=== styles/CMakeLists.txt ===
########### install files ###############

install(FILES templcatalog.style DESTINATION ${DATA_INSTALL_DIR}/kraft/styles)
install(FILES docoverview.css docoverview_ro.css catalogview.css DESTINATION ${DATA_INSTALL_DIR}/kraft)

=== tools/CMakeLists.txt ===

set(findcontact_NAME findcontact)
set(FINDCONTACT_SRC findcontact.cpp)

set(AUTOMOC ON)

kde4_add_executable(${findcontact_NAME} ${FINDCONTACT_SRC})

target_link_libraries(${findcontact_NAME}
        ${KDEPIMLIBS_KABC_LIBS} ${KDEPIMLIBS_AKONADI_CONTACT_LIBS} )

########### install files ###############
install(TARGETS ${findcontact_NAME} ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES erml2pdf.py  DESTINATION ${DATA_INSTALL_DIR}/kraft/tools )

=== database/sqlite3/CMakeLists.txt ===
add_subdirectory(migration)

########### install files ###############

install(FILES create_schema.sql fill_schema_de.sql fill_schema_en.sql  DESTINATION ${DATA_INSTALL_DIR}/kraft/dbinit/sqlite3)

=== po/gl/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( gl ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kraft (0.59-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove symlinks cleanup in rules, as there are no more shared libraries
    built.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Update watch file.
  * Remove unused build dependencies: nepomuk-core-dev, libqt4-sql-sqlite.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Dec 2015 16:08:30 +0100

=== debian/control ===
Source: kraft
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Jonathan Patrick Davies <jpatrick@kubuntu.org>
Build-Depends: debhelper (>= 9),
               pkg-kde-tools,
               cmake,
               kdelibs5-dev, kdepimlibs5-dev,
               libctemplate-dev,
               libboost-dev
Standards-Version: 3.9.6
Homepage: http://volle-kraft-voraus.de/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kraft/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kraft/

Package: kraft
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt4-sql-sqlite,
         python-trml2pdf,
         pdftk, python-pypdf
Recommends: libqt4-sql-mysql
Description: small business-management application
 Kraft creates and handles office documents in small enterprises. In a workshop
 or any similar company daily tasks can be done in a smart manner.
 .
 Features include:
  Customer management, integrated using KAddressbook
  Automated creation of quotes, invoices and similar documents
  Text templates
  Calculation
  Material management
  Configurable document creation in PDF format

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

=== debian/watch ===
version=3
http://sf.net/kraft/ kraft-(\d[\d_.]+)\.tar\.(?:bz2|gz|xz) debian svn-upgrade

## kraft 0.81

=== debian/changelog ===
kraft (0.81-1build1) cosmic; urgency=medium

  * No-change rebuild against PIM.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 24 Aug 2018 15:24:16 -0500

kraft (0.81-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Fix-install-directory-for-appdata.patch: drop, backported from
      upstream
    - upstream_Update-appstream-metadata-to-the-latest-spec.patch: drop,
      backported from upstream
    - upstream_Modifications-to-the-appdata-xml-file.-Added-missing.patch:
      drop, backported from upstream
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jun 2018 09:06:25 +0200

kraft (0.80-2) unstable; urgency=medium

  * Team upload.
  * Remove the pdftk dependency, as it is not required since kraft 0.40.
  * Since kraft embeds the trml2pdf Python module as script, replace the
    python-trml2pdf dependency with python-reportlab, and python-six.

 -- Pino Toscano <pino@debian.org>  Wed, 16 May 2018 06:00:55 +0200

kraft (0.80-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - switches to Qt5/KF5 (Closes: #874993)
  * Update watch file to point to the GitHub location.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, and kdepimlibs5-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5akonadi-dev,
      libkf5akonadicontact-dev, libkf5contacts-dev, libkf5coreaddons-dev,
      libkf5i18n-dev, libkf5widgetsaddons-dev, and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Update the runtime dependencies/recommends:
    - replace libqt4-sql-sqlite with libqt5sql5-sqlite
    - replace libqt4-sql-mysql with libqt5sql5-mysql
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Update the patches:
    - PyPDF2.patch: drop, fixed upstream
  * Remove trailing whitespaces in changelog.
  * Remove unused libboost-dev build dependency.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Switch Vcs-* fields to salsa.debian.org.
  * Backport upstream commits 0001af5a70a78aeceb9745fdaac9bfdc0245543e,
    e113781933f814e9394bf9bbb8d9ecb9572b88e5, and
    673722084bf75c9be154802427377ebf6ec853ad to make the appdata file valid,
    and install it in the correct location; patches
    upstream_Fix-install-directory-for-appdata.patch,
    upstream_Update-appstream-metadata-to-the-latest-spec.patch, and
    upstream_Modifications-to-the-appdata-xml-file.-Added-missing.patch.

 -- Pino Toscano <pino@debian.org>  Fri, 11 May 2018 06:10:25 +0200

kraft (0.59-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * python-pypdf2 transition Closes: #763980.

 -- Luciano Bello <luciano@debian.org>  Thu, 21 Jul 2016 15:29:36 +0200

=== debian/control ===
Source: kraft
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Jonathan Patrick Davies <jpatrick@kubuntu.org>
Build-Depends: debhelper (>= 11~),
               pkg-kde-tools (>= 0.15.16),
               cmake,
               extra-cmake-modules,
               qtbase5-dev,
               libkf5akonadi-dev,
               libkf5akonadicontact-dev,
               libkf5contacts-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libctemplate-dev,
Standards-Version: 4.1.4
Homepage: http://volle-kraft-voraus.de/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kraft.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kraft

Package: kraft
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5sql5-sqlite,
         python-reportlab,
         python-six,
         python-pypdf2,
Recommends: libqt5sql5-mysql
Description: small business-management application
 Kraft creates and handles office documents in small enterprises. In a workshop
 or any similar company daily tasks can be done in a smart manner.
 .
 Features include:
  Customer management, integrated using KAddressbook
  Automated creation of quotes, invoices and similar documents
  Text templates
  Calculation
  Material management
  Configurable document creation in PDF format

## kraft 0.82

=== CMakeLists.txt ===
project(kraft)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
set(CMAKE_AUTOMOC TRUE)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)

# Uncomment to enable some tweaks for AppImage build
# add_definitions(-DBUILD_APPIMAGE=1)

# TODO: Build without deprecated QUrl methods
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

remove_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

find_package(Qt5 CONFIG REQUIRED
    Core
    Gui
    Sql
    Widgets
    Xml
)

find_package(KF5 REQUIRED COMPONENTS
    CoreAddons
    I18n
    WidgetsAddons
    XmlGui
)

find_package(KF5Contacts REQUIRED)

find_package(KF5Akonadi)
set_package_properties(KF5Akonadi PROPERTIES
    DESCRIPTION "Library for general Access to Akonadi"
    URL "https://www.kde.org/"
    PURPOSE "Optionally used for addressbook integration"
    TYPE OPTIONAL
)

find_package(KF5AkonadiContact)
set_package_properties(KF5AkonadiContact PROPERTIES
    DESCRIPTION "Library for Accessing Contacts stored in Akonadi"
    URL "https://www.kde.org/"
    PURPOSE "Optionally used for addressbook integration"
    TYPE OPTIONAL
)

if(KF5Akonadi_FOUND AND KF5AkonadiContact_FOUND)
   add_definitions(-DHAVE_AKONADI)
endif()

find_package(Ctemplate REQUIRED)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-suggest-override")
#option(QTINDICATE_DISABLE "Disable support for notifications via indicator")

add_definitions(${QT_DEFINITIONS} )

include_directories(${QT_INCLUDES} src)
include_directories( /usr/include/KF5/AkonadiCore )

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
        ki18n_install(po)
endif()

add_subdirectory(src)
add_subdirectory(database)
add_subdirectory(reports)
add_subdirectory(views)
add_subdirectory(importfilter)
add_subdirectory(tools)
add_subdirectory(styles)
add_subdirectory(meta)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== meta/CMakeLists.txt ===
########### install files ###############

install(FILES  kraft.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} RENAME de.volle_kraft_voraus.kraft.desktop)
install(FILES  kraft.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} RENAME de.volle-kraft-voraus.kraft.appdata.xml)

=== reports/CMakeLists.txt ===
add_subdirectory(pics)

########### install files ###############

install(FILES
        delivery_receipt.trml
        invoice.trml
	DESTINATION ${DATA_INSTALL_DIR}/kraft/reports)

# localised document templates:
install(FILES de/invoice.trml de/lieferschein.trml
	DESTINATION ${DATA_INSTALL_DIR}/kraft/reports/de)

=== src/CMakeLists.txt ===
# include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS} external)

include_directories(${QT_INCLUDES} src)
add_subdirectory(pics)

########### next target ###############
qt5_add_resources(KRAFT_RC_SRC pics/kraft.qrc)

set(kraft_SRCS
    attribute.cpp
    einheit.cpp
    doctype.cpp
    numbercycle.cpp
    katalogman.cpp
    stdsatzman.cpp
    katalog.cpp
    templkatalog.cpp
    docposition.cpp
    matkatalog.cpp
    calcdialogbase.cpp
    timecalcpart.cpp
    fixcalcpart.cpp
    floskeltemplate.cpp
    floskel.cpp
    calcpart.cpp
    kraftview.cpp
    kraftdoc.cpp
    main.cpp
    catalogchapter.cpp
    addeditchapterdialog.cpp
    unitmanager.cpp
    stockmaterial.cpp
    stockmaterialman.cpp
    materialcalcpart.cpp
    flostempldialog.cpp
    stdsatzman.cpp
    materialtempldialog.cpp
    timecalcdialog.cpp
    fixcalcdialog.cpp
    matcalcdialog.h
    matcalcdialog.cpp
    templatesaverbase.cpp
    templatesaverdb.cpp
    materialsaverbase.cpp
    materialsaverdb.cpp
    prefsdialog.cpp
    prefswages.cpp
    prefsunits.cpp
    katalogview.cpp
    filterheader.cpp
    kataloglistview.cpp
    templkatalogview.cpp
    templkataloglistview.cpp
    positionviewwidget.cpp
    documentsaverbase.cpp
    documentsaverdb.cpp
    documentman.cpp
    docdigest.cpp
    alldocsview.cpp
    doctypeedit.cpp
    doctext.cpp
    portal.cpp
    portalview.cpp
    archiveman.cpp
    reportgenerator.cpp
    htmlview.cpp
    docpostcard.cpp
    catalogtemplate.cpp
    catalogselection.cpp
    kraftdocheaderedit.cpp
    kraftdocfooteredit.cpp
    inserttempldialog.cpp
    archdocposition.cpp
    archdoc.cpp
    materialkataloglistview.cpp
    materialkatalogview.cpp
    materialselectdialog.cpp
    kraftdocedit.cpp
    kraftdocpositionsedit.cpp
    portalhtmlview.cpp
    templtopositiondialogbase.cpp
    textselection.cpp
    newdocassistant.cpp
    docassistant.cpp
    texteditdialog.cpp
    templateprovider.cpp
    headertemplateprovider.cpp
    footertemplateprovider.cpp
    catalogtemplateprovider.cpp
    texttemplate.cpp
    tagman.cpp
    itemtagdialog.cpp
    tagtemplatesdialog.cpp
    importitemdialog.cpp
    importfilter.cpp
    kraftview_ro.cpp
    taxeditdialog.cpp
    numbercycledialog.cpp
    impviewwidgets.cpp
    setupassistant.cpp
    models/documentmodel.cpp
    models/documentproxymodels.cpp
    models/datemodel.cpp
    models/docbasemodel.cpp
    docdigestdetailview.cpp
    addressprovider.cpp
    addressselectorwidget.cpp
    addressprovider_akonadi.cpp
    addressselectordialog.cpp
    kraftdb.cpp
    geld.cpp
    defaultprovider.cpp
)

kconfig_add_kcfg_files(kraft_SRCS
    databasesettings.kcfgc
    kraftsettings.kcfgc
    databasesettings.kcfgc
    kraftsettings.kcfgc
)

ki18n_wrap_ui(kraft_SRCS
    calctemplate.ui
    dbinit.ui
    createdb.ui
    dbselect.ui
    mysqldetails.ui
    sqlitedetails.ui
    identity.ui
    statuspage.ui
    upgradedb.ui
    timepart.ui
    fixpartui.ui
    matpartui.ui
    inserttmplbase.ui
    materialdialog.ui
    docheader.ui
    positionwidget.ui
    docfooter.ui
    texteditbase.ui
    positionwidget.ui
    doctypeeditbase.ui
    taxeditbase.ui
    wageseditbase.ui
    unitseditbase.ui
    importtodocbase.ui
    numbercycleseditbase.ui
)

# kde4_add_executable(kraft ${kraft_SRCS})
add_executable(kraft ${KRAFT_RC_SRC} ${kraft_SRCS})

set_target_properties(kraft PROPERTIES OUTPUT_NAME kraft)

set(KRAFT_LINK_LIBS
    Qt5::Core
    Qt5::Widgets
    Qt5::Sql
    
    KF5::I18n
    KF5::XmlGui
    KF5::Contacts
    ${CTEMPLATE_LIBRARIES} pthread
)
if(KF5Akonadi_FOUND)
  list(APPEND KRAFT_LINK_LIBS
    KF5::AkonadiCore
    KF5::AkonadiContact
    KF5::AkonadiAgentBase 
    KF5::AkonadiWidgets 
    KF5::AkonadiXml
  )
endif()

target_link_libraries(kraft
PUBLIC
    ${KRAFT_LINK_LIBS}
)

install(TARGETS kraft ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES  kraftsettings.kcfg databasesettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES  kraftui.rc katalogview.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kraft)

=== styles/CMakeLists.txt ===
########### install files ###############
add_subdirectory(pics)

install(FILES templcatalog.style DESTINATION ${DATA_INSTALL_DIR}/kraft/styles)
install(FILES docdigestview.css docoverview.css docoverview_ro.css catalogview.css DESTINATION ${DATA_INSTALL_DIR}/kraft/styles)

=== src/pics/CMakeLists.txt ===
add_subdirectory(global)

########### install files ###############

install(FILES kraftsplash.png kraftapp_logo.png DESTINATION ${DATA_INSTALL_DIR}/kraft/pics)

ecm_install_icons( ICONS
	16-actions-kraft_alternative.png
	16-actions-kraft_demand.png
	16-actions-kraft_fulltax.png
	16-actions-kraft_notax.png
	16-actions-kraft_redtax.png
	22-actions-kraftdice.png
	sc-apps-kraft_catalogue.svg
	DESTINATION share/icons)

=== database/mysql/migration/CMakeLists.txt ===
########### install files ###############

file(GLOB mig_scripts *_dbmigrate.sql)


install(FILES  README ${mig_scripts}
        DESTINATION ${DATA_INSTALL_DIR}/kraft/dbmigrate/mysql)

=== debian/changelog ===
kraft (0.82-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Oct 2018 10:15:25 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5widgetsaddons-dev,
                libkf5xmlgui-dev,
                libctemplate-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://volle-kraft-voraus.de/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kraft.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kraft

## kraft 0.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,14 +31,12 @@
     Xml
 )
 
+# XmlGui for the ConfigSkeleton
 find_package(KF5 REQUIRED COMPONENTS
-    CoreAddons
     I18n
-    WidgetsAddons
-    XmlGui
+    Config
+    Contacts
 )
-
-find_package(KF5Contacts REQUIRED)
 
 find_package(KF5Akonadi)
 set_package_properties(KF5Akonadi PROPERTIES
@@ -63,7 +61,11 @@
 find_package(Ctemplate REQUIRED)
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-suggest-override")
+# disable the warning about null-pointer zero. FIXME.
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-zero-as-null-pointer-constant")
 #option(QTINDICATE_DISABLE "Disable support for notifications via indicator")
+# disable the warning about null-pointer zero. FIXME.
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-zero-as-null-pointer-constant")
 
 add_definitions(${QT_DEFINITIONS} )
 
@@ -82,5 +84,6 @@
 add_subdirectory(tools)
 add_subdirectory(styles)
 add_subdirectory(meta)
+add_subdirectory(tests)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== reports/CMakeLists.txt ===
add_subdirectory(pics)

########### install files ###############

install(FILES
        delivery_receipt.trml
        invoice.trml
	DESTINATION ${DATA_INSTALL_DIR}/kraft/reports)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,6 @@
     addeditchapterdialog.cpp
     unitmanager.cpp
     stockmaterial.cpp
-    stockmaterialman.cpp
     materialcalcpart.cpp
     flostempldialog.cpp
     stdsatzman.cpp
@@ -110,6 +109,7 @@
     kraftdb.cpp
     geld.cpp
     defaultprovider.cpp
+    metaxmlparser.cpp
 )
 
 kconfig_add_kcfg_files(kraft_SRCS
@@ -156,10 +156,12 @@
     Qt5::Core
     Qt5::Widgets
     Qt5::Sql
+    Qt5::Xml
     
     KF5::I18n
-    KF5::XmlGui
     KF5::Contacts
+    KF5::ConfigCore
+    KF5::ConfigGui
     ${CTEMPLATE_LIBRARIES} pthread
 )
 if(KF5Akonadi_FOUND)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)
project(kraft)

enable_testing()

# Tell CMake to run moc when necessary:
set(CMAKE_AUTOMOC ON)

# As moc files are generated in the binary dir, tell CMake
# to always look for includes there:
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories( "${CMAKE_CURRENT_BINARY_DIR}/../src" )

find_package(Qt5Test REQUIRED)

set(metaparser_src
    ../src/metaxmlparser.cpp
)
add_executable(t_metaparser t_metaparser.cpp ${metaparser_src})
add_test(t_metaparser t_metaparser)

set(doctype_src
    ../src/doctype.cpp
    ../src/attribute.cpp
    ../src/numbercycle.cpp
    ../src/kraftdb.cpp
    ../src/metaxmlparser.cpp
)

add_executable(t_doctype t_doctype.cpp ${doctype_src})
add_test(t_doctype t_doctype)

target_link_libraries(t_doctype Qt5::Test Qt5::Sql Qt5::Widgets Qt5::Xml)
target_link_libraries(t_metaparser Qt5::Test Qt5::Xml)

=== tools/CMakeLists.txt ===

set(findcontact_NAME findcontact)
set(FINDCONTACT_SRC findcontact.cpp ../src/addressprovider.cpp ../src/addressprovider_akonadi.cpp)

set(AUTOMOC ON)

#
# For now there is only the Akonadi based address backend, and thus
# the findcontact tool is only built if akonadi is there.
# If there are other backends, this must be FIXED.
if(KF5Akonadi_FOUND)
    add_executable(${findcontact_NAME} ${FINDCONTACT_SRC})

    target_link_libraries( ${findcontact_NAME}
        Qt5::Core
        Qt5::Widgets
        KF5::Contacts
        KF5::AkonadiCore
        KF5::AkonadiContact
    )

    ########### install files ###############
    install(TARGETS ${findcontact_NAME} ${INSTALL_TARGETS_DEFAULT_ARGS})
endif()

install(FILES erml2pdf.py  DESTINATION ${DATA_INSTALL_DIR}/kraft/tools )

=== database/meta/CMakeLists.txt ===
########### install files ###############

file(GLOB meta_scripts *_meta.xml)


install(FILES ${meta_scripts}
        DESTINATION ${DATA_INSTALL_DIR}/kraft/meta)

=== debian/changelog ===
kraft (0.90-2build2) focal; urgency=medium

  * No-change rebuild against KDE PIM 19.12.3

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 19:15:00 +0100

kraft (0.90-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:16 +0100

kraft (0.90-2) unstable; urgency=medium

  * Team upload.
  * Use dh_python3 to calculate automatically the Python 3 dependency:
    - add the dh-python, and python3:any build dependencies
    - use the python3 dh addon
    - use the ${python3:Depends} substvar, removing the manual python3:any
      dependency
  * Properly run the unit tests, so they work:
    - add the libqt5sql5-sqlite, xauth, and xvfb build dependencies
    - run dh_auto_test with xvfb-run, and set the KRAFT_HOME environment
      variable as documented
  * Backport upstream commit 5b516b35b65d6f00280ba3f6fe4eebd564e02102 to fix
    <translation> in the appstream file; patch
    upstream_appstream-fix-translation.patch.
  * Backport upstream commit 7eff90f462c740b527a1484e31383ea707351180 to switch
    to Python 3, replacing the existing patch python3.diff; patch
    upstream_Check-for-only-for-Python-3-for-erml2pdf.py.patch.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Jan 2020 21:24:48 +0100

kraft (0.90-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - remove libkf5coreaddons-dev, libkf5widgetsaddons-dev, and
      libkf5xmlgui-dev
    - add libkf5config-dev
    - explicitly add gettext
  * The new unit tests do not seem to work with an uninstalled kraft, so
    do not invoke dh_auto_test.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the man page, as it is mostly obsolete.
  * Switch the erml2pdf.py invocation to Python 3: (Closes: #945687, #935190)
    - replace the python-reportlab, python-six, and python-pypdf2 dependencies
      with python3-reportlab, python3-six, and python3-pypdf2
    - explicitly depend on python3:any
    - make sure to only look for 'python3' as Python interpreter;
      patch python3.diff

 -- Pino Toscano <pino@debian.org>  Sun, 15 Dec 2019 10:37:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,24 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
            Jonathan Patrick Davies <jpatrick@kubuntu.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                pkg-kde-tools (>= 0.15.16),
                cmake,
+               dh-python,
                extra-cmake-modules,
+               gettext,
                qtbase5-dev,
                libkf5akonadi-dev,
                libkf5akonadicontact-dev,
+               libkf5config-dev,
                libkf5contacts-dev,
-               libkf5coreaddons-dev,
                libkf5i18n-dev,
-               libkf5widgetsaddons-dev,
-               libkf5xmlgui-dev,
                libctemplate-dev,
-Standards-Version: 4.2.1
+               python3:any,
+               libqt5sql5-sqlite <!nocheck>,
+               xauth,
+               xvfb,
+Standards-Version: 4.4.1
 Homepage: http://volle-kraft-voraus.de/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kraft.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kraft
@@ -27,9 +31,10 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libqt5sql5-sqlite,
-         python-reportlab,
-         python-six,
-         python-pypdf2,
+         ${python3:Depends},
+         python3-reportlab,
+         python3-six,
+         python3-pypdf2,
 Recommends: libqt5sql5-mysql
 Description: small business-management application
  Kraft creates and handles office documents in small enterprises. In a workshop

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,7 @@
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
-	dh $@ --parallel --with kde
+	dh $@ --with kf5,python3
+
+override_dh_auto_test:
+	xvfb-run -a env KRAFT_HOME="$(CURDIR)" dh_auto_test

## kraft 0.95

=== src/pics/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 ########### install files ###############
 
-install(FILES kraftsplash.png kraftapp_logo.png DESTINATION ${DATA_INSTALL_DIR}/kraft/pics)
+install(FILES kraftapp_logo.png DESTINATION ${DATA_INSTALL_DIR}/kraft/pics)
 
 ecm_install_icons( ICONS
 	16-actions-kraft_alternative.png

=== debian/changelog ===
kraft (0.95-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_appstream-fix-translation.patch: drop, backported from upstream
    - upstream_Check-for-only-for-Python-3-for-erml2pdf.py.patch: drop,
      backported from upstream
  * Update the build dependencies according to the upstream build system:
    - add libgrantlee5-dev, used for templates
    - add asciidoctor, and po4a, used for generating the HTML documentation
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Do not run the test suite in parallel, as it seems there are conflicts
    between tests.
  * Recommend weasyprint for PDF reports.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Aug 2020 07:40:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
            Jonathan Patrick Davies <jpatrick@kubuntu.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools (>= 0.15.16),
                cmake,
                dh-python,
@@ -17,11 +17,15 @@
                libkf5contacts-dev,
                libkf5i18n-dev,
                libctemplate-dev,
+               libgrantlee5-dev,
                python3:any,
+               asciidoctor,
+               po4a,
                libqt5sql5-sqlite <!nocheck>,
                xauth,
                xvfb,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://volle-kraft-voraus.de/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kraft.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kraft
@@ -35,7 +39,8 @@
          python3-reportlab,
          python3-six,
          python3-pypdf2,
-Recommends: libqt5sql5-mysql
+Recommends: libqt5sql5-mysql,
+            weasyprint,
 Description: small business-management application
  Kraft creates and handles office documents in small enterprises. In a workshop
  or any similar company daily tasks can be done in a smart manner.

## kraft 0.96

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -87,6 +87,7 @@
     footertemplateprovider.cpp
     catalogtemplateprovider.cpp
     texttemplate.cpp
+    grantleetemplate.cpp
     tagman.cpp
     itemtagdialog.cpp
     tagtemplatesdialog.cpp
@@ -110,11 +111,13 @@
     geld.cpp
     defaultprovider.cpp
     metaxmlparser.cpp
+    texttemplateinterface.cpp
+    documenttemplate.cpp
+    pdfconverter.cpp
+    format.cpp
 )
 
 kconfig_add_kcfg_files(kraft_SRCS
-    databasesettings.kcfgc
-    kraftsettings.kcfgc
     databasesettings.kcfgc
     kraftsettings.kcfgc
 )
@@ -163,6 +166,7 @@
     KF5::ConfigCore
     KF5::ConfigGui
     ${CTEMPLATE_LIBRARIES} pthread
+    Grantlee5::Templates
 )
 if(KF5Akonadi_FOUND)
   list(APPEND KRAFT_LINK_LIBS

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 cmake_minimum_required(VERSION 2.8.11)
 project(kraft)
+
+cmake_policy(SET CMP0063 NEW)
 
 enable_testing()
 
@@ -14,11 +16,40 @@
 
 find_package(Qt5Test REQUIRED)
 
+set(unitman_src
+    ../src/unitmanager.cpp
+    ../src/kraftdb.cpp
+    ../src/einheit.cpp
+    ../src/metaxmlparser.cpp
+    ../src/doctype.cpp
+    ../src/attribute.cpp
+    ../src/numbercycle.cpp
+)
+
+add_executable(t_unitman t_unitman.cpp ${unitman_src})
+add_test(t_unitman t_unitman)
+target_link_libraries(t_unitman Qt5::Test Qt5::Core Qt5::Sql Qt5::Xml)
+
+# ============================================================ 
+
+set(format_src
+    ../src/format.cpp
+)
+add_executable(t_format t_format.cpp ${format_src})
+add_test(t_format t_format)
+target_link_libraries(t_format Qt5::Test Qt5::Core) 
+
+# ============================================================ 
+
 set(metaparser_src
     ../src/metaxmlparser.cpp
 )
 add_executable(t_metaparser t_metaparser.cpp ${metaparser_src})
 add_test(t_metaparser t_metaparser)
+
+target_link_libraries(t_metaparser Qt5::Test Qt5::Xml)
+
+# ============================================================ 
 
 set(doctype_src
     ../src/doctype.cpp
@@ -32,5 +63,5 @@
 add_test(t_doctype t_doctype)
 
 target_link_libraries(t_doctype Qt5::Test Qt5::Sql Qt5::Widgets Qt5::Xml)
-target_link_libraries(t_metaparser Qt5::Test Qt5::Xml)
 
+

=== src/pics/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,5 @@
 	16-actions-kraft_notax.png
 	16-actions-kraft_redtax.png
 	22-actions-kraftdice.png
-	sc-apps-kraft_catalogue.svg
 	DESTINATION share/icons)

=== src/pics/global/CMakeLists.txt ===
ecm_install_icons( ICONS
	16-apps-kraft.png
	32-apps-kraft.png
	48-apps-kraft.png
	sc-apps-kraft.svg
	DESTINATION ${KDE_INSTALL_ICONDIR})

=== debian/changelog ===
kraft (0.96-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Pino Toscano <pino@debian.org>  Sun, 28 Feb 2021 11:20:27 +0100

=== debian/control ===
--- 
+++ 
@@ -24,9 +24,9 @@
                libqt5sql5-sqlite <!nocheck>,
                xauth,
                xvfb,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://volle-kraft-voraus.de/
+Homepage: https://volle-kraft-voraus.de/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kraft.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kraft

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf5,python3

override_dh_auto_test:
	xvfb-run -a env KRAFT_HOME="$(CURDIR)" dh_auto_test --no-parallel

## kraft 0.97

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 project(kraft)
 
 cmake_minimum_required(VERSION 2.8.12)
+cmake_policy(SET CMP0063 NEW)
 
 find_package(ECM REQUIRED NO_MODULE)
 
@@ -38,6 +39,15 @@
     Contacts
 )
 
+# Grantlee templating engine
+find_package(Grantlee5 REQUIRED)
+set_package_properties(Grantlee5 PROPERTIES
+    DESCRIPTION "Library for templating html and pdf output"
+    URL "https://www.grantlee.org/"
+    PURPOSE "Optionally used for templating"
+    TYPE OPTIONAL
+)
+
 find_package(KF5Akonadi)
 set_package_properties(KF5Akonadi PROPERTIES
     DESCRIPTION "Library for general Access to Akonadi"
@@ -60,7 +70,10 @@
 
 find_package(Ctemplate REQUIRED)
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-suggest-override")
+find_package(Asciidoctor)
+# Sets the variable ASCIIDOCTOR_FOUND
+
+# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-suggest-override")
 # disable the warning about null-pointer zero. FIXME.
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-zero-as-null-pointer-constant")
 #option(QTINDICATE_DISABLE "Disable support for notifications via indicator")
@@ -85,5 +98,7 @@
 add_subdirectory(styles)
 add_subdirectory(meta)
 add_subdirectory(tests)
+add_subdirectory(manual)
+
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== manual/CMakeLists.txt ===

FIND_PACKAGE(Asciidoctor)
SET (install_files kraft-en.html kraft-de.html)

if (ASCIIDOCTOR_FOUND)
  SET( manual_src ${PROJECT_SOURCE_DIR}/manual/kraft.adoc )
  SET( out_file kraft-en.html )

  ADD_CUSTOM_COMMAND(
    OUTPUT "${out_file}"
    COMMAND "${PROJECT_SOURCE_DIR}/manual/makeman.sh" ARGS "${PROJECT_SOURCE_DIR}/manual"
    DEPENDS ${manual_src}
    COMMENT "Make the manual"
  )
  message( "Asciidoctor found")
  ADD_CUSTOM_TARGET(manual ALL echo
    DEPENDS "${out_file}"
  )

  INSTALL(FILES ${CMAKE_BINARY_DIR}/manual/kraft-en.html ${CMAKE_BINARY_DIR}/manual/kraft-de.html
          DESTINATION ${DATA_INSTALL_DIR}/kraft/manual)

else(ASCIIDOCTOR_FOUND)
  # Maybe there are preinstalled html files in the tarball
  message("Asciidoctor not found, installing pre built manual.")
  install(FILES "kraft-de.html" "kraft-en.html" DESTINATION ${DATA_INSTALL_DIR}/kraft/manual)
endif(ASCIIDOCTOR_FOUND)

INSTALL(FILES kraftmanual.css DESTINATION ${DATA_INSTALL_DIR}/kraft/manual)
INSTALL(DIRECTORY images DESTINATION ${DATA_INSTALL_DIR}/kraft/manual)

=== reports/CMakeLists.txt ===
--- 
+++ 
@@ -5,5 +5,7 @@
 install(FILES
         delivery_receipt.trml
         invoice.trml
+	kraft.css
+	invoice.gtmpl
 	DESTINATION ${DATA_INSTALL_DIR}/kraft/reports)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,6 @@
     calcpart.cpp
     kraftview.cpp
     kraftdoc.cpp
-    main.cpp
     catalogchapter.cpp
     addeditchapterdialog.cpp
     unitmanager.cpp
@@ -150,11 +149,6 @@
     numbercycleseditbase.ui
 )
 
-# kde4_add_executable(kraft ${kraft_SRCS})
-add_executable(kraft ${KRAFT_RC_SRC} ${kraft_SRCS})
-
-set_target_properties(kraft PROPERTIES OUTPUT_NAME kraft)
-
 set(KRAFT_LINK_LIBS
     Qt5::Core
     Qt5::Widgets
@@ -178,9 +172,20 @@
   )
 endif()
 
-target_link_libraries(kraft
+add_library(kraftlib STATIC ${KRAFT_RC_SRC} ${kraft_SRCS})
+
+add_executable(kraft main.cpp)
+
+set_target_properties(kraft PROPERTIES OUTPUT_NAME kraft)
+
+target_link_libraries(kraftlib
 PUBLIC
     ${KRAFT_LINK_LIBS}
+)
+
+target_link_libraries(kraft
+  PUBLIC
+    kraftlib
 )
 
 install(TARGETS kraft ${INSTALL_TARGETS_DEFAULT_ARGS})

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)
project(kraft)

cmake_policy(SET CMP0063 NEW)

enable_testing()

# Tell CMake to run moc when necessary:
# set(CMAKE_AUTOMOC ON)

# As moc files are generated in the binary dir, tell CMake
# to always look for includes there:
# set(CMAKE_INCLUDE_CURRENT_DIR ON)

# include_directories( "${CMAKE_CURRENT_BINARY_DIR}/../src" )

find_package(Qt5Test REQUIRED)

set(test_libs Qt5::Test kraftlib)

add_executable(t_unitman t_unitman.cpp)
target_link_libraries(t_unitman ${test_libs})
add_test(t_unitman t_unitman)

# ============================================================ 

add_executable(t_format t_format.cpp)
add_test(t_format t_format)
target_link_libraries(t_format ${test_libs})

# ============================================================ 

add_executable(t_metaparser t_metaparser.cpp)
add_test(t_metaparser t_metaparser)

target_link_libraries(t_metaparser ${test_libs})

# ============================================================ 

set(doctype_src
)

add_executable(t_doctype t_doctype.cpp ${doctype_src})
add_test(t_doctype t_doctype)

target_link_libraries(t_doctype ${test_libs})

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -23,4 +23,4 @@
     install(TARGETS ${findcontact_NAME} ${INSTALL_TARGETS_DEFAULT_ARGS})
 endif()
 
-install(FILES erml2pdf.py  DESTINATION ${DATA_INSTALL_DIR}/kraft/tools )
+install(FILES erml2pdf.py watermarkpdf.py  DESTINATION ${DATA_INSTALL_DIR}/kraft/tools )

=== styles/pics/CMakeLists.txt ===
########### install files ###############

install(FILES docoverviewbg.png kraftapp_logo_trans.png kraft_customer.png postit.png DESTINATION ${DATA_INSTALL_DIR}/kraft/styles/pics)

=== debian/changelog ===
kraft (0.97-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 08:31:23 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libqt5sql5-sqlite <!nocheck>,
                xauth,
                xvfb,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://volle-kraft-voraus.de/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kraft.git

## kraft 0.98

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,6 @@
 
 # Uncomment to enable some tweaks for AppImage build
 # add_definitions(-DBUILD_APPIMAGE=1)
-
-# TODO: Build without deprecated QUrl methods
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
 
 remove_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
@@ -73,10 +70,7 @@
 find_package(Asciidoctor)
 # Sets the variable ASCIIDOCTOR_FOUND
 
-# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-suggest-override")
-# disable the warning about null-pointer zero. FIXME.
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-zero-as-null-pointer-constant")
-#option(QTINDICATE_DISABLE "Disable support for notifications via indicator")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-suggest-override")
 # disable the warning about null-pointer zero. FIXME.
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-zero-as-null-pointer-constant")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -52,6 +52,7 @@
     positionviewwidget.cpp
     documentsaverbase.cpp
     documentsaverdb.cpp
+    exportxrechnung.cpp
     documentman.cpp
     docdigest.cpp
     alldocsview.cpp
@@ -147,6 +148,7 @@
     unitseditbase.ui
     importtodocbase.ui
     numbercycleseditbase.ui
+    xrechnung.ui
 )
 
 set(KRAFT_LINK_LIBS
@@ -173,6 +175,7 @@
 endif()
 
 add_library(kraftlib STATIC ${KRAFT_RC_SRC} ${kraft_SRCS})
+target_compile_options(kraftlib PRIVATE -Wall -Wno-suggest-override)
 
 add_executable(kraft main.cpp)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -37,10 +37,14 @@
 
 # ============================================================ 
 
-set(doctype_src
-)
+add_executable(t_defaultprovider t_defaultprovider.cpp)
+add_test(t_defaultprovider t_defaultprovider)
 
-add_executable(t_doctype t_doctype.cpp ${doctype_src})
+target_link_libraries(t_defaultprovider ${test_libs})
+
+# ============================================================ 
+
+add_executable(t_doctype t_doctype.cpp)
 add_test(t_doctype t_doctype)
 
 target_link_libraries(t_doctype ${test_libs})

=== debian/changelog ===
kraft (0.98-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Update the patches:
    - fix_build_KDEPIM.21.12.patch: drop, fixed upstream
  * Mark the xauth, and xvfb build dependencies as <!nocheck>, as they are
    needed only when running the test suite.
  * Skip the test t_defaultprovider for now; patch
    tests-skip-t_defaultprovider.diff.

 -- Pino Toscano <pino@debian.org>  Mon, 23 May 2022 09:51:20 +0200

kraft (0.97-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Add patch to fix build failures against KDEPIM 21.12.

 -- Patrick Franz <deltaone@debian.org>  Sat, 02 Apr 2022 15:25:56 +0200

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,9 @@
                asciidoctor,
                po4a,
                libqt5sql5-sqlite <!nocheck>,
-               xauth,
-               xvfb,
-Standards-Version: 4.6.0
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://volle-kraft-voraus.de/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kraft.git
